Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema.facet
Class NumericFacet

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.facet.SOMFacet
                  |
                  +--com.bea.schema.facet.NumericFacet

Direct Known Subclasses:
  FacetDuration, FacetFractionDigits, FacetLength, FacetMaxExclusive, FacetMaxInclusive, FacetMaxLength, FacetMinExclusive, FacetMinInclusive, FacetMinLength, FacetPrecision, FacetScale, FacetTotalDigits

public abstract class NumericFacet
extends SOMFacet

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.schema.facet.SOMFacet
`duration, encoding, enumeration, fractionDigits, length, maxExclusive, maxInclusive, maxLength, minExclusive, minInclusive, minLength, pattern, period, precision, scale, totalDigits, whiteSpace`

Constructor Summary
`NumericFacet()`

Method Summary
`double` | `getDouble()`
`long` | `getLong()`
`java.lang.String` | `getValue()`
`void` | `setDouble(double value)`
`void` | `setValue(java.lang.String val)`

Methods inherited from class com.bea.schema.facet.SOMFacet
`getAttributes, getFacet, getFixed, getTagName, setFixed, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addChild, addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getID, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NumericFacet

    public NumericFacet()

Method Detail

### getValue

    public java.lang.String getValue()

  Overrides:
    getValue in class SOMFacet

### setValue

    public void setValue(java.lang.String val)
                  throws java.lang.NumberFormatException

  Overrides:
    setValue in class SOMFacet

### getDouble

    public double getDouble()

### setDouble

    public void setDouble(double value)

### getLong

    public long getLong()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)